<template>
  <div>
        <avue-data-box :option="option" :animation="true"></avue-data-box>
  </div>
</template>

<script>
import {validatenull} from "@/util/validate";
import {getList} from "@/api/system/statistic";
import {flowRoute} from "@/util/flow";

export default {
name: "Statistic",
  data(){
  return {
    countByServer:true,
    // listMyTask:[]
    option: {
      span:6,
      data: [
        {
          click: this.handleItemAClick,
          title: '物品主数据',
          count: 0,
          icon: 'iconfont iconicon_doc',
          color: 'rgb(49, 180, 141)',
          uiUrl: "/MasterData/items?id=wupin@name=物品主数据",
          countUrl:'priceIndexController/countNeedConfirmPlan'
        },
        {
          click: this.handleItemBClick,
          title: '人员主数据',
          count: 0,
          icon: 'iconfont iconicon_dispose',
          color: 'rgb(56, 161, 242)',
          uiUrl:'/MasterData/items?id=renyuan@@name=人员主数据',
          countUrl:'priceIndexController/countPricingPlan'
        },
        {
          click: this.handleItemCClick,
          title: '主题库定义',
          count: 0,
          icon: 'el-icon-setting',
          color: 'rgb(117, 56, 199)',
          uiUrl:'/modeling/classifyTree',
          countUrl:'priceIndexController/countNeedFeedbackPlan'
        },
        {
          click: this.handleItemDClick,
          title: '供应商主数据',
          count: 0,
          icon: 'iconfont iconicon_work',
          color: 'rgb(255, 102, 51)',
          uiUrl:'/MasterData/items?id=gongyingshang@@name=供应商主数据',
          countUrl:'priceIndexController/countMyUnCreatePricePlan'
        },
      ]
    },
  }
  },
  created() {
  // this.getList();
  },
  computed(){

  },
  methods: {
    handleItemAClick() {
      this.$router.push({ path: "/MasterData/items?id=wupin@name=物品主数据"} );
    },
    handleItemBClick() {
      this.$router.push({ path: '/MasterData/items?id=renyuan@@name=人员主数据'} );
    },
    handleItemCClick() {
      this.$router.push({ path: '/modeling/classifyTree'} );
    },
    handleItemDClick() {
      this.$router.push({ path: '/MasterData/items?id=gongyingshang@@name=供应商主数据'} );
    },
    getList() {
      Object.values(this.option.data).map(record => {
        record.count = record.count || 0;
        if (!this.countByServer) {
          // 是前端查询
          getList(record.countUrl, {}).then(res => {
            if (res.data.data.success) {
              record.count = res.data.data.obj;
            } else {
              record.count = 0;
            }
          });
        }
        return {
          ...record
        };
      });
    },
  }
}
</script>

<style scoped>

</style>
